Incidencia #43563

Relative frequency of resources

Abrir Fecha: 2022-01-06 21:54 Última actualización: 2022-02-03 05:48

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

Like XYZ says in http://forum.freeciv.org/f/viewtopic.php?f=13&t=92129 , it would be good to be able to define that some resources are more rare than others.

Ticket History (3/9 Histories)

2022-01-06 21:54 Updated by: cazfi
  • New Ticket "Relative frequency of resources" created
2022-01-30 22:49 Updated by: alienvalkyrie
Comentario

I have a working version of this, where relative frequencies/weights are specified per-terrain type – this allows more flexibility, including resources with a weight of 0, meaning they are not generated on a given terrain, but can remain there when transforming it (might be useful for e.g. gems or oil).

Big question left is how to document it in the manual/client. The way resource info is currently formatted in the GTK+ clients' help dialog doesn't really lend itself to packing more stuff in there, especially when adding a whole bunch of zero-weight resources. I also don't know how pressing this is, given that relative generation frequencies aren't that relevant during gameplay.

2022-02-01 12:45 Updated by: cazfi
  • Resolución Update from Ninguno to Accepted
Comentario

Reply To alienvalkyrie

I also don't know how pressing this is, given that relative generation frequencies aren't that relevant during gameplay.

I don't think it's that important information for the player. Even if some ruleset makes it important, they can then also tell the frequencies in the hand-written part. I wouldn't consider lack of the autogenerated help as blocker for this ticket.

For the future commit messages: when you (the author as listed by git) are not the one who requested the change or reported the issue, give credit in the commit message (we will collect that information to http:/www.freeciv.org/wiki/People mostly from the commit messages as part of the release process). No need to resubmit this one - I've modified the commit message in my own tree (and currently assuming I will be the one pushing the patch)

2022-02-02 04:01 Updated by: alienvalkyrie
Comentario

Reply To cazfi

Reply To alienvalkyrie

I also don't know how pressing this is, given that relative generation frequencies aren't that relevant during gameplay.

I don't think it's that important information for the player. Even if some ruleset makes it important, they can then also tell the frequencies in the hand-written part. I wouldn't consider lack of the autogenerated help as blocker for this ticket.

I did think about at least adding the frequencies to civmanual (since knowing about them might be a bit more useful outside/before a game), but I couldn't find a simple way to do it that is also clearly understandable.

Should we raise another ticket for this issue specifically? I can't exactly see this happening without a more general change to some of the help dialog / manual structure (cf. aforementioned issue of GTK+ clients putting all resources in one box).

For the future commit messages: when you (the author as listed by git) are not the one who requested the change or reported the issue, give credit in the commit message (we will collect that information to http:/www.freeciv.org/wiki/People mostly from the commit messages as part of the release process). No need to resubmit this one - I've modified the commit message in my own tree (and currently assuming I will be the one pushing the patch)

Noted. I also noticed I put the TODO in a /* ... */ comment in C++ code (QT client helpdlg) rather than a // .... Another thing I had been thinking about was to replace replace all loops with the terrain_resources_iterate macro, but without code that uses the frequencies, I'm not sure it makes much of a difference (apart from introducing a yet-unused variable), so it's probably not worth submitting a new patch for.

2022-02-02 04:26 Updated by: cazfi
Comentario

Reply To alienvalkyrie

Should we raise another ticket for this issue specifically? I can't exactly see this happening without a more general change to some of the help dialog / manual structure (cf. aforementioned issue of GTK+ clients putting all resources in one box).

Yes, separate ticket for that sounds like the right way to go.

2022-02-02 05:31 Updated by: alienvalkyrie
Comentario

Reply To cazfi

Reply To alienvalkyrie

Should we raise another ticket for this issue specifically? I can't exactly see this happening without a more general change to some of the help dialog / manual structure (cf. aforementioned issue of GTK+ clients putting all resources in one box).

Yes, separate ticket for that sounds like the right way to go.

~> #43762

2022-02-02 06:45 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
Comentario

Reply To cazfi

(and currently assuming I will be the one pushing the patch)

Setting owner accordingly.

2022-02-03 05:48 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Attachment File List

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar